Intel 9260/9462/9560 firmware support

Bug #1734243 reported by AceLan Kao on 2017-11-24
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
High
Seth Forshee
Xenial
High
AceLan Kao
Zesty
High
AceLan Kao
Artful
High
AceLan Kao

Bug Description

SRU Justification
[Impact]
Intel 9260/9462/9560 require new firmwares to enable them.

[ 7.492326] iwlwifi 0000:00:0c.0: Direct firmware load for iwlwifi-9000-pu-a0-jf-b0-33.ucode failed with error -2
[ 7.492349] iwlwifi 0000:00:0c.0: Direct firmware load for iwlwifi-9000-pu-a0-jf-b0-32.ucode failed with error -2
[ 7.492362] iwlwifi 0000:00:0c.0: Direct firmware load for iwlwifi-9000-pu-a0-jf-b0-31.ucode failed with error -2
[ 7.492375] iwlwifi 0000:00:0c.0: Direct firmware load for iwlwifi-9000-pu-a0-jf-b0-30.ucode failed with error -2
[ 7.492378] iwlwifi 0000:00:0c.0: no suitable firmware found!

For v4.13 kernel, it uses firmware version 33, so we only need this.

commit c4276b65390d32d33c8263a7e3c8be0db8cccad4 (tag: refs/tags/iwlwifi-fw-2017-11-03)
Author: Luca Coelho <email address hidden>
Date: Fri Oct 13 14:22:26 2017 +0300

    iwlwifi: add firmware version 33 for new 9000 series

    Build number: WFFW53774_R30_FW610294

    Revision number: 610294

    Signed-off-by: Luca Coelho <email address hidden>

[Test Case]
After applying the firmwares, confirm the 9260/9560 can connect to 6 different APs(bg/n/ac * open/wap)

[Regression Potential]
There is no regression for the new devices and new firmwares.

AceLan Kao (acelankao) on 2017-11-24
description: updated
AceLan Kao (acelankao) on 2017-11-24
affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Changed in linux-firmware (Ubuntu):
importance: Undecided → High
tags: added: somerville
Seth Forshee (sforshee) on 2017-12-11
Changed in linux-firmware (Ubuntu Xenial):
importance: Undecided → High
status: New → In Progress
Changed in linux-firmware (Ubuntu Zesty):
assignee: nobody → AceLan Kao (acelankao)
importance: Undecided → High
status: New → In Progress
Changed in linux-firmware (Ubuntu Artful):
assignee: nobody → AceLan Kao (acelankao)
importance: Undecided → High
status: New → In Progress
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → AceLan Kao (acelankao)
Changed in linux-firmware (Ubuntu):
assignee: AceLan Kao (acelankao) → Seth Forshee (sforshee)
status: In Progress → Fix Released
Seth Forshee (sforshee) wrote :

There's also bluetooth firmware for 9260, I think I'll also pull this in as well.

commit 041aff8e35fb322251bde3314738c1cdcddbc29d
Author: Tedd Ho-Jeong An <email address hidden>
Date: Thu Nov 30 10:18:54 2017 -0800

    linux-firmware: Add firmware file for Intel Bluetooth 9260

Seth Forshee (sforshee) wrote :

Actually not that one, apparently it omitted the actual firmware changes (only changing WHENCE). And there's also one for 9560, so these two:

commit db9964e24d3bacf22319292f64230501edec6cb8
Author: Tedd Ho-Jeong An <email address hidden>
Date: Thu Nov 30 10:18:38 2017 -0800

    linux-firmware: Add firmware file for Intel Bluetooth 9560

commit 97339b3a1d3bf3e4c40d679896a27a25fa83765f
Author: Tedd Ho-Jeong An <email address hidden>
Date: Thu Nov 30 10:18:54 2017 -0800

    linux-firmware: Add firmware file for Intel Bluetooth 9260

Seth Forshee (sforshee) on 2017-12-12
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Artful):
status: In Progress → Fix Committed
AceLan Kao (acelankao) wrote :

Seth, yes, we need the bt firmwares, too.
Thanks.

description: updated

Hello AceLan, or anyone else affected,

Accepted linux-firmware into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.169.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Aaltonen (tjaalton) wrote :

Hello AceLan, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Aaltonen (tjaalton) wrote :

Hello AceLan, or anyone else affected,

Accepted linux-firmware into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.164.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Dmitrii Shcherbakov (dmitriis) wrote :

Tested 9260NGW with different kernels (-33 for 4.13, -34 for 4.14 and 4.15):

1) 4.13.0-21.24 + iwlwifi-9260-th-b0-jf-b0-33.ucode: could not connect to any network, "Unhandled alg: 0x707"

wlp59s0: associated

and then immediately

deauthenticating from ...

see https://paste.ubuntu.com/26234416/

2) 4.14.0-041400-generic + iwlwifi-9260-th-b0-jf-b0-34.ucode (used -34 as recommended by Intel): Microcode SW error detected + kernel traces
https://paste.ubuntu.com/26234397/

3) 4.15.0-041500rc4-generic + iwlwifi-9260-th-b0-jf-b0-34.ucode - all good except for pad.lv/1720930

https://paste.ubuntu.com/26234428/

Dmitrii Shcherbakov (dmitriis) wrote :

One additional detail. Even on 4.15 "Unhandled alg" can be reproduced occasionally after disconnecting and reconnecting the adapter to an STA:

дек 22 22:12:45 blade kernel: iwlwifi 0000:3b:00.0: Unhandled alg: 0x707
дек 22 22:12:45 blade kernel: iwlwifi 0000:3b:00.0: Unhandled alg: 0x707
дек 22 22:12:45 blade kernel: iwlwifi 0000:3b:00.0: No association and the time event is over already...

Sometimes there is only one message, sometimes two at the same time and sometimes no message at all.

Seems to be coming from here:
http://elixir.free-electrons.com/linux/v4.15-rc4/source/drivers/net/wireless/intel/iwlwifi/mvm/rx.c#L197

Doesn't affect connectivity though and the card comes up and transmits/receives even after 10 consecutive reconnects.

AceLan Kao (acelankao) wrote :

Yes, we know we need some commits from v4.15-rc3 and those commits has been CC's v4.13 stable, so 9560 will be fully enabled soon in ubuntu v4.13 kernel.

For this bug, we only prepare the firmwares in advance before the driver is ready.

AceLan Kao (acelankao) wrote :

Xenial kernel doesn't contain iwlwifi 9000 currently, but the firmware in linux-firmware 1.157.15 are correct.

tags: added: verification-done-xenial
AceLan Kao (acelankao) wrote :

verified on artful with linux-firmware 1.169.2

BTW, zesty was EOL, so can't verify the firmwares.

tags: added: verification-done-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.169.2

---------------
linux-firmware (1.169.2) artful; urgency=medium

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <email address hidden> Tue, 12 Dec 2017 08:16:01 -0600

Changed in linux-firmware (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.15

---------------
linux-firmware (1.157.15) xenial; urgency=medium

  * QCA6174A XR cannot find any WiFi AP (LP: #1728523)
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <email address hidden> Tue, 12 Dec 2017 08:26:17 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
AceLan Kao (acelankao) on 2018-02-05
Changed in linux-firmware (Ubuntu Zesty):
status: Fix Committed → Won't Fix
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers